Index: code/branches/presentation/src/orxonox/objects/GlobalShader.cc
===================================================================
--- code/branches/presentation/src/orxonox/objects/GlobalShader.cc	(revision 2500)
+++ code/branches/presentation/src/orxonox/objects/GlobalShader.cc	(revision 2501)
@@ -45,8 +45,9 @@
         if (!this->getScene())
             ThrowException(AbortLoading, "Can't create GlobalShader, no scene given.");
-        if (!this->getScene()->getSceneManager())
-            ThrowException(AbortLoading, "Can't create GlobalShader, no scene manager given.");
+//        if (!this->getScene()->getSceneManager())
+//            ThrowException(AbortLoading, "Can't create GlobalShader, no scene manager given.");
 
-        this->shader_.setSceneManager(this->getScene()->getSceneManager());
+        if (this->getScene()->getSceneManager())
+            this->shader_.setSceneManager(this->getScene()->getSceneManager());
 
         this->registerVariables();
Index: code/branches/presentation/src/orxonox/objects/gametypes/Gametype.cc
===================================================================
--- code/branches/presentation/src/orxonox/objects/gametypes/Gametype.cc	(revision 2500)
+++ code/branches/presentation/src/orxonox/objects/gametypes/Gametype.cc	(revision 2501)
@@ -69,6 +69,4 @@
         this->addBots(this->numberOfBots_);
 
-        setConfigValues();
-
         // load the corresponding score board
         if (Core::showsGraphics() && this->scoreboardTemplate_ != "")
Index: code/branches/presentation/src/orxonox/objects/weaponSystem/Weapon.cc
===================================================================
--- code/branches/presentation/src/orxonox/objects/weaponSystem/Weapon.cc	(revision 2500)
+++ code/branches/presentation/src/orxonox/objects/weaponSystem/Weapon.cc	(revision 2501)
@@ -50,4 +50,6 @@
         this->magazineLoadingTime_ = 0;
         this->bReloading_ = false;
+
+        this->setObjectMode(0x0);
     }
 
Index: code/branches/presentation/src/orxonox/objects/weaponSystem/projectiles/Projectile.cc
===================================================================
--- code/branches/presentation/src/orxonox/objects/weaponSystem/projectiles/Projectile.cc	(revision 2500)
+++ code/branches/presentation/src/orxonox/objects/weaponSystem/projectiles/Projectile.cc	(revision 2501)
@@ -54,14 +54,17 @@
 
         // Get notification about collisions
-        this->enableCollisionCallback();
 
-        this->setCollisionType(Kinematic);
+        if (Core::isMaster())
+        {
+            this->enableCollisionCallback();
 
-        SphereCollisionShape* shape = new SphereCollisionShape(this);
-        shape->setRadius(10);
-        this->attachCollisionShape(shape);
+            this->setCollisionType(Kinematic);
 
-        if(Core::isMaster())
-          this->destroyTimer_.setTimer(this->lifetime_, false, this, createExecutor(createFunctor(&Projectile::destroyObject)));
+            SphereCollisionShape* shape = new SphereCollisionShape(this);
+            shape->setRadius(10);
+            this->attachCollisionShape(shape);
+
+            this->destroyTimer_.setTimer(this->lifetime_, false, this, createExecutor(createFunctor(&Projectile::destroyObject)));
+        }
     }
 
Index: code/branches/presentation/src/orxonox/objects/worldentities/WorldEntity.cc
===================================================================
--- code/branches/presentation/src/orxonox/objects/worldentities/WorldEntity.cc	(revision 2500)
+++ code/branches/presentation/src/orxonox/objects/worldentities/WorldEntity.cc	(revision 2501)
@@ -545,4 +545,5 @@
         if (type != None && this->collisionType_ == None)
         {
+/*
             // Check whether there was some scaling applied.
             if (!this->node_->getScale().positionEquals(Vector3(1, 1, 1), 0.001))
@@ -551,5 +552,5 @@
                 return;
             }
-
+*/
             // Create new rigid body
             btRigidBody::btRigidBodyConstructionInfo bodyConstructionInfo(0, this, this->collisionShape_->getCollisionShape());
Index: code/branches/presentation/src/orxonox/objects/worldentities/pawns/Pawn.cc
===================================================================
--- code/branches/presentation/src/orxonox/objects/worldentities/pawns/Pawn.cc	(revision 2500)
+++ code/branches/presentation/src/orxonox/objects/worldentities/pawns/Pawn.cc	(revision 2501)
@@ -49,7 +49,7 @@
 
         PawnManager::touch();
-	this->getPickUp().setPlayer(this);
         this->bAlive_ = true;
         this->fire_ = 0x0;
+        this->firehack_ = 0x0;
 
         this->health_ = 0;
@@ -60,4 +60,6 @@
 
         this->spawnparticleduration_ = 3.0f;
+
+        this->getPickUp().setPlayer(this);
 
         if (Core::isMaster())
@@ -108,5 +110,5 @@
         registerVariable(this->health_,        variableDirection::toclient);
         registerVariable(this->initialHealth_, variableDirection::toclient);
-        registerVariable(this->fire_,          variableDirection::toclient);
+        registerVariable(this->fire_,          variableDirection::toserver);
     }
 
@@ -124,5 +126,6 @@
                 this->weaponSystem_->fire(WeaponMode::altFire2);
         }
-        this->fire_ = 0x0;
+        this->fire_ = this->firehack_;
+        this->firehack_ = 0x0;
 
         if (this->health_ <= 0)
@@ -225,5 +228,5 @@
     void Pawn::fire(WeaponMode::Enum fireMode)
     {
-        this->fire_ |= fireMode;
+        this->firehack_ |= fireMode;
     }
 
Index: code/branches/presentation/src/orxonox/objects/worldentities/pawns/Pawn.h
===================================================================
--- code/branches/presentation/src/orxonox/objects/worldentities/pawns/Pawn.h	(revision 2500)
+++ code/branches/presentation/src/orxonox/objects/worldentities/pawns/Pawn.h	(revision 2501)
@@ -116,5 +116,5 @@
             ShipEquipment pickUp;
             bool bAlive_;
-            
+
 
             float health_;
@@ -126,4 +126,5 @@
             WeaponSystem* weaponSystem_;
             unsigned int fire_;
+            unsigned int firehack_;
 
             std::string spawnparticlesource_;