Index: /code/branches/presentation/src/orxonox/objects/pickup/BaseItem.cc
===================================================================
--- /code/branches/presentation/src/orxonox/objects/pickup/BaseItem.cc	(revision 2502)
+++ /code/branches/presentation/src/orxonox/objects/pickup/BaseItem.cc	(revision 2503)
@@ -3,4 +3,5 @@
 
 
+#include "OrxonoxStableHeaders.h"
 #include "BaseItem.h"
 #include "core/CoreIncludes.h"
Index: /code/branches/presentation/src/orxonox/objects/pickup/PickupSpawner.cc
===================================================================
--- /code/branches/presentation/src/orxonox/objects/pickup/PickupSpawner.cc	(revision 2502)
+++ /code/branches/presentation/src/orxonox/objects/pickup/PickupSpawner.cc	(revision 2503)
@@ -1,2 +1,3 @@
+#include "OrxonoxStableHeaders.h"
 #include "PickupSpawner.h"
 #include "BaseItem.h"
@@ -110,5 +111,5 @@
 	SUPER(PickupSpawner, changedActivity);
 
-	for (std::set<WorldEntity*>::iterator it = this->getAttachedObjects().begin(); it != this->getAttachedObjects().end(); ++it)
+	for (std::set<WorldEntity*>::const_iterator it = this->getAttachedObjects().begin(); it != this->getAttachedObjects().end(); ++it)
 		(*it)->setVisible(this->isActive());
 }
Index: /code/branches/presentation/src/orxonox/objects/pickup/ShipEquipment.cc
===================================================================
--- /code/branches/presentation/src/orxonox/objects/pickup/ShipEquipment.cc	(revision 2502)
+++ /code/branches/presentation/src/orxonox/objects/pickup/ShipEquipment.cc	(revision 2503)
@@ -1,2 +1,3 @@
+#include "OrxonoxStableHeaders.h"
 #include "BaseItem.h"
 #include "ShipEquipment.h"
@@ -27,5 +28,5 @@
 		COUT(3) << "SWAP?" <<  endl;
 		//Abfrage- irgendne ifschleife...
-		if((checkSlot(item)->dropped(player))==true);
+		if((checkSlot(item)->dropped(player))==true)
 		{
 			Equipment.insert ( std::pair<std::string, BaseItem*>(item->getName(),item) );
Index: /code/branches/presentation/src/orxonox/objects/pickup/Turbo.cc
===================================================================
--- /code/branches/presentation/src/orxonox/objects/pickup/Turbo.cc	(revision 2502)
+++ /code/branches/presentation/src/orxonox/objects/pickup/Turbo.cc	(revision 2503)
@@ -1,2 +1,3 @@
+#include "OrxonoxStableHeaders.h"
 #include "Turbo.h"
 
Index: /code/branches/presentation/visual_studio/vc8/orxonox.vcproj
===================================================================
--- /code/branches/presentation/visual_studio/vc8/orxonox.vcproj	(revision 2502)
+++ /code/branches/presentation/visual_studio/vc8/orxonox.vcproj	(revision 2503)
@@ -683,4 +683,24 @@
 					</File>
 				</Filter>
+				<Filter
+					Name="pickup"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\objects\pickup\BaseItem.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\pickup\PickupSpawner.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\pickup\ShipEquipment.cc"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\pickup\Turbo.cc"
+						>
+					</File>
+				</Filter>
 			</Filter>
 			<Filter
@@ -1360,4 +1380,36 @@
 					<File
 						RelativePath="..\..\src\orxonox\objects\items\MultiStateEngine.h"
+						>
+					</File>
+				</Filter>
+				<Filter
+					Name="pickup"
+					>
+					<File
+						RelativePath="..\..\src\orxonox\objects\pickup\BaseItem.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\pickup\PickupSpawner.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\pickup\ShipEquipment.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\pickup\ShipEquipmentClasses.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\pickup\ShipItem.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\pickup\Turbo.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\pickup\Usable.h"
 						>
 					</File>