Index: code/branches/presentation/src/core/ObjectListIterator.h
===================================================================
--- code/branches/presentation/src/core/ObjectListIterator.h	(revision 2504)
+++ code/branches/presentation/src/core/ObjectListIterator.h	(revision 2505)
@@ -123,5 +123,5 @@
             {
                 if (this->element_)
-                    this->element_ = (ObjectListElement<T>*)this->element_->next_;
+                    this->element_ = static_cast<ObjectListElement<T>*>(this->element_->next_);
                 return *this;
             }
@@ -135,5 +135,5 @@
                 ObjectListIterator<T> copy = *this;
                 if (this->element_)
-                    this->element_ = (ObjectListElement<T>*)this->element_->next_;
+                    this->element_ = static_cast<ObjectListElement<T>*>(this->element_->next_);
                 return copy;
             }
@@ -146,5 +146,5 @@
             {
                 if (this->element_)
-                    this->element_ = (ObjectListElement<T>*)this->element_->prev_;
+                    this->element_ = static_cast<ObjectListElement<T>*>(this->element_->prev_);
                 return *this;
             }
@@ -158,5 +158,5 @@
                 ObjectListIterator<T> copy = *this;
                 if (this->element_)
-                    this->element_ = (ObjectListElement<T>*)this->element_->prev_;
+                    this->element_ = static_cast<ObjectListElement<T>*>(this->element_->prev_);
                 return copy;
             }
Index: code/branches/presentation/src/core/XMLPort.h
===================================================================
--- code/branches/presentation/src/core/XMLPort.h	(revision 2504)
+++ code/branches/presentation/src/core/XMLPort.h	(revision 2505)
@@ -93,24 +93,4 @@
     static ExecutorMember<orxonox::XMLPortVariableHelperClass>* xmlcontainer##variable##loadexecutor = static_cast<ExecutorMember<orxonox::XMLPortVariableHelperClass>*>(orxonox::createExecutor(orxonox::createFunctor(orxonox::XMLPortVariableHelperClass::getLoader(variable)), std::string( #classname ) + "::" + #variable + "loader")); \
     static ExecutorMember<orxonox::XMLPortVariableHelperClass>* xmlcontainer##variable##saveexecutor = static_cast<ExecutorMember<orxonox::XMLPortVariableHelperClass>*>(orxonox::createExecutor(orxonox::createFunctor(orxonox::XMLPortVariableHelperClass::getSaver (variable)), std::string( #classname ) + "::" + #variable + "saver" )); \
-    XMLPortParamGeneric(xmlcontainer##variable, classname, orxonox::XMLPortVariableHelperClass, &xmlcontainer##variable##dummy, paramname, xmlcontainer##variable##loadexecutor, xmlcontainer##variable##saveexecutor, xmlelement, mode)
-
-/**
-    @brief Declares an XML attribute with a name, which will be set through a variable and gotten from a function.
-    @param classname The name of the class owning this param
-    @param paramname The name of the attribute
-    @param variable Name of the variable used to save the value
-    @param savefunction A function to get the value of the param from the object (~a get-function)
-    @param xmlelement The XMLElement, you get this from the XMLPort function
-    @param mode The mode (load or save), you get this from the XMLPort function
-
-    In the XML file, a param or attribute will be set like this:
-    <classname paramname="value" />
-
-    The macro will then store "value" in the variable or read it when saving.
-*/
-#define XMLPortParamVariableOnLoad(classname, paramname, variable, savefunction, xmlelement, mode) \
-    static XMLPortVariableHelperClass xmlcontainer##variable##dummy((void*)&variable); \
-    static ExecutorMember<orxonox::XMLPortVariableHelperClass>* xmlcontainer##variable##loadexecutor = static_cast<ExecutorMember<orxonox::XMLPortVariableHelperClass>*>(&(orxonox::createExecutor(orxonox::createFunctor(orxonox::XMLPortVariableHelperClass::getLoader(variable)), std::string( #classname ) + "::" + #variable + "loader"))); \
-    static ExecutorMember<classname>* xmlcontainer##loadfunction##savefunction##saveexecutor = orxonox::createExecutor(orxonox::createFunctor(&classname::savefunction), std::string( #classname ) + "::" + #savefunction); \
     XMLPortParamGeneric(xmlcontainer##variable, classname, orxonox::XMLPortVariableHelperClass, &xmlcontainer##variable##dummy, paramname, xmlcontainer##variable##loadexecutor, xmlcontainer##variable##saveexecutor, xmlelement, mode)
 