Index: /code/branches/presentation/src/core/Iterator.h
===================================================================
--- /code/branches/presentation/src/core/Iterator.h	(revision 2505)
+++ /code/branches/presentation/src/core/Iterator.h	(revision 2506)
@@ -96,5 +96,5 @@
             inline Iterator(ObjectListElement<O>* element)
             {
-                this->element_ = (element) ? (ObjectListBaseElement*)element : 0;
+                this->element_ = (element) ? static_cast<ObjectListBaseElement*<(element) : 0;
                 this->list_ = ClassIdentifier<O>::getIdentifier()->getObjects();
                 this->iterator_ = this->list_->registerIterator(this);
@@ -108,5 +108,5 @@
             inline Iterator(const ObjectListIterator<O>& other)
             {
-                this->element_ = (other.element_) ? (ObjectListBaseElement*)other.element_ : 0;
+                this->element_ = (other.element_) ? static_cast<ObjectListBaseElement*>(other.element_) : 0;
                 this->list_ = ClassIdentifier<O>::getIdentifier()->getObjects();
                 this->iterator_ = this->list_->registerIterator(this);
@@ -163,5 +163,5 @@
                     this->list_->unregisterIterator(this->iterator_);
 
-                this->element_ = (element) ? (ObjectListBaseElement*)element : 0;
+                this->element_ = (element) ? static_cast<ObjectListBaseElement*>(element) : 0;
                 this->list_ = ClassIdentifier<O>::getIdentifier()->getObjects();
                 this->iterator_ = this->list_->registerIterator(this);
Index: /code/branches/presentation/src/network/packet/DeleteObjects.cc
===================================================================
--- /code/branches/presentation/src/network/packet/DeleteObjects.cc	(revision 2505)
+++ /code/branches/presentation/src/network/packet/DeleteObjects.cc	(revision 2506)
@@ -65,5 +65,5 @@
   data_ = new uint8_t[size];
   uint8_t *tdata = data_;
-  *(ENUM::Type *)(tdata) = ENUM::DeleteObjects;
+  *reinterpret_cast<ENUM::Type*>(tdata) = ENUM::DeleteObjects;
   tdata += sizeof(ENUM::Type);
   *(uint32_t *)tdata = number;
@@ -72,5 +72,5 @@
     unsigned int temp = Synchronisable::popDeletedObject();
 //     assert(temp<10000); //ugly hack
-    *(uint32_t *)(tdata) = temp;
+    *reinterpret_cast<uint32_t*>(tdata) = temp;
     COUT(3) << temp << " ";
     tdata += sizeof(uint32_t);
Index: /code/branches/presentation/src/orxonox/objects/controllers/ArtificialController.cc
===================================================================
--- /code/branches/presentation/src/orxonox/objects/controllers/ArtificialController.cc	(revision 2505)
+++ /code/branches/presentation/src/orxonox/objects/controllers/ArtificialController.cc	(revision 2506)
@@ -88,5 +88,5 @@
         {
 //            if (it->getTeamNr() != this->getTeamNr())
-            if ((ControllableEntity*)(*it) != this->getControllableEntity())
+            if (static_cast<ControllableEntity*>(*it) != this->getControllableEntity())
             {
                 float speed = this->getControllableEntity()->getVelocity().length();
Index: /code/branches/presentation/src/orxonox/objects/worldentities/pawns/Pawn.h
===================================================================
--- /code/branches/presentation/src/orxonox/objects/worldentities/pawns/Pawn.h	(revision 2505)
+++ /code/branches/presentation/src/orxonox/objects/worldentities/pawns/Pawn.h	(revision 2506)
@@ -87,5 +87,5 @@
 
             inline const WorldEntity* getWorldEntity() const
-                { return (WorldEntity*)this; }
+                { return const_cast<Pawn*>(this); }
 
             inline void setSpawnParticleSource(const std::string& source)
Index: /code/branches/presentation/src/orxonox/tools/Timer.h
===================================================================
--- /code/branches/presentation/src/orxonox/tools/Timer.h	(revision 2505)
+++ /code/branches/presentation/src/orxonox/tools/Timer.h	(revision 2506)
@@ -160,5 +160,5 @@
                 this->bLoop_ = bLoop;
                 executor->setObject(object);
-                this->executor_ = (Executor*)executor;
+                this->executor_ = static_cast<Executor*>(executor);
                 this->bActive_ = true;
 
@@ -198,5 +198,5 @@
                 this->setInterval(interval);
                 this->bLoop_ = bLoop;
-                this->executor_ = (Executor*)executor;
+                this->executor_ = static_cast<Executor*>(executor);
                 this->bActive_ = true;
 