Index: code/branches/buildsystem2/src/tolua/lua/basic.lua
===================================================================
--- code/branches/buildsystem2/src/tolua/lua/basic.lua	(revision 2507)
+++ code/branches/buildsystem2/src/tolua/lua/basic.lua	(revision 2509)
@@ -16,31 +16,31 @@
 -- and all occurrences of "void*" will be replaced by "_userdata"
 _basic = {
- ['void'] = '',
- ['char'] = 'number',
- ['int'] = 'number',
- ['short'] = 'number',
- ['long'] = 'number',
- ['unsigned'] = 'number',
- ['float'] = 'number',
- ['double'] = 'number',
- ['_cstring'] = 'string',
- ['_userdata'] = 'userdata',
- ['char*'] = 'string',
- ['void*'] = 'userdata',
- ['bool'] = 'boolean',
- ['lua_Object'] = 'value',
- ['LUA_VALUE'] = 'value',    -- for compatibility with tolua 4.0
- ['lua_State*'] = 'state',
- ['_lstate'] = 'state',
- ['lua_Function'] = 'value',
+    ['void'] = '',
+    ['char'] = 'number',
+    ['int'] = 'number',
+    ['short'] = 'number',
+    ['long'] = 'number',
+    ['unsigned'] = 'number',
+    ['float'] = 'number',
+    ['double'] = 'number',
+    ['_cstring'] = 'string',
+    ['_userdata'] = 'userdata',
+    ['char*'] = 'string',
+    ['void*'] = 'userdata',
+    ['bool'] = 'boolean',
+    ['lua_Object'] = 'value',
+    ['LUA_VALUE'] = 'value',    -- for compatibility with tolua 4.0
+    ['lua_State*'] = 'state',
+    ['_lstate'] = 'state',
+    ['lua_Function'] = 'value',
 }
 
 _basic_ctype = {
- number = "lua_Number",
- string = "const char*",
- userdata = "void*",
- boolean = "bool",
- value = "int",
- state = "lua_State*",
+    number = "lua_Number",
+    string = "const char*",
+    userdata = "void*",
+    boolean = "bool",
+    value = "int",
+    state = "lua_State*",
 }
 
@@ -68,107 +68,107 @@
 _renaming = {}
 function appendrenaming (s)
- local b,e,old,new = strfind(s,"%s*(.-)%s*@%s*(.-)%s*$")
-	if not b then
-	 error("#Invalid renaming syntax; it should be of the form: pattern@pattern")
-	end
-	tinsert(_renaming,{old=old, new=new})
+    local b,e,old,new = strfind(s,"%s*(.-)%s*@%s*(.-)%s*$")
+    if not b then
+        error("#Invalid renaming syntax; it should be of the form: pattern@pattern")
+    end
+    tinsert(_renaming,{old=old, new=new})
 end
 
 function applyrenaming (s)
-	for i=1,getn(_renaming) do
-	 local m,n = gsub(s,_renaming[i].old,_renaming[i].new)
-		if n ~= 0 then
-		 return m
-		end
-	end
-	return nil
+    for i=1,getn(_renaming) do
+        local m,n = gsub(s,_renaming[i].old,_renaming[i].new)
+        if n ~= 0 then
+            return m
+        end
+    end
+    return nil
 end
 
 -- Error handler
 function tolua_error (s,f)
-if _curr_code then
-	print("***curr code for error is "..tostring(_curr_code))
-	print(debug.traceback())
-end
- local out = _OUTPUT
- _OUTPUT = _STDERR
- if strsub(s,1,1) == '#' then
-  write("\n** tolua: "..strsub(s,2)..".\n\n")
-  if _curr_code then
-   local _,_,s = strfind(_curr_code,"^%s*(.-\n)") -- extract first line
-   if s==nil then s = _curr_code end
-   s = gsub(s,"_userdata","void*") -- return with 'void*'
-   s = gsub(s,"_cstring","char*")  -- return with 'char*'
-   s = gsub(s,"_lstate","lua_State*")  -- return with 'lua_State*'
-   write("Code being processed:\n"..s.."\n")
-  end
- else
- if not f then f = "(f is nil)" end
-  print("\n** tolua internal error: "..f..s..".\n\n")
-  return
- end
- _OUTPUT = out
+    if _curr_code then
+        print("***curr code for error is "..tostring(_curr_code))
+        print(debug.traceback())
+    end
+    local out = _OUTPUT
+    _OUTPUT = _STDERR
+    if strsub(s,1,1) == '#' then
+        write("\n** tolua: "..strsub(s,2)..".\n\n")
+        if _curr_code then
+            local _,_,s = strfind(_curr_code,"^%s*(.-\n)") -- extract first line
+            if s==nil then s = _curr_code end
+            s = gsub(s,"_userdata","void*") -- return with 'void*'
+            s = gsub(s,"_cstring","char*")  -- return with 'char*'
+            s = gsub(s,"_lstate","lua_State*")  -- return with 'lua_State*'
+            write("Code being processed:\n"..s.."\n")
+        end
+    else
+        if not f then f = "(f is nil)" end
+        print("\n** tolua internal error: "..f..s..".\n\n")
+        return
+    end
+    _OUTPUT = out
 end
 
 function warning (msg)
- local out = _OUTPUT
- _OUTPUT = _STDERR
- write("\n** tolua warning: "..msg..".\n\n")
- _OUTPUT = out
+    local out = _OUTPUT
+    _OUTPUT = _STDERR
+    write("\n** tolua warning: "..msg..".\n\n")
+    _OUTPUT = out
 end
 
 -- register an user defined type: returns full type
 function regtype (t)
-	--if isbasic(t) then
-	--	return t
-	--end
-	local ft = findtype(t)
-
-	if not _usertype[ft] then
-		return appendusertype(t)
-	end
-	return ft
+    --if isbasic(t) then
+    --    return t
+    --end
+    local ft = findtype(t)
+
+    if not _usertype[ft] then
+        return appendusertype(t)
+    end
+    return ft
 end
 
 -- return type name: returns full type
 function typevar(type)
-	if type == '' or type == 'void' then
-		return type
-	else
-		local ft = findtype(type)
-		if ft then
-			return ft
-		end
-		_usertype[type] = type
-		return type
-	end
+    if type == '' or type == 'void' then
+        return type
+    else
+        local ft = findtype(type)
+        if ft then
+            return ft
+        end
+        _usertype[type] = type
+        return type
+    end
 end
 
 -- check if basic type
 function isbasic (type)
- local t = gsub(type,'const ','')
- local m,t = applytypedef('', t)
- local b = _basic[t]
- if b then
-  return b,_basic_ctype[b]
- end
- return nil
+    local t = gsub(type,'const ','')
+    local m,t = applytypedef('', t)
+    local b = _basic[t]
+    if b then
+        return b,_basic_ctype[b]
+    end
+    return nil
 end
 
 -- split string using a token
 function split (s,t)
- local l = {n=0}
- local f = function (s)
-  l.n = l.n + 1
-  l[l.n] = s
-  return ""
- end
- local p = "%s*(.-)%s*"..t.."%s*"
- s = gsub(s,"^%s+","")
- s = gsub(s,"%s+$","")
- s = gsub(s,p,f)
- l.n = l.n + 1
- l[l.n] = gsub(s,"(%s%s*)$","")
- return l
+    local l = {n=0}
+    local f = function (s)
+        l.n = l.n + 1
+        l[l.n] = s
+        return ""
+    end
+    local p = "%s*(.-)%s*"..t.."%s*"
+    s = gsub(s,"^%s+","")
+    s = gsub(s,"%s+$","")
+    s = gsub(s,p,f)
+    l.n = l.n + 1
+    l[l.n] = gsub(s,"(%s%s*)$","")
+    return l
 end
 
@@ -178,59 +178,59 @@
 function split_c_tokens(s, pat)
 
-	s = string.gsub(s, "^%s*", "")
-	s = string.gsub(s, "%s*$", "")
-
-	local token_begin = 1
-	local token_end = 1
-	local ofs = 1
-	local ret = {n=0}
-
-	function add_token(ofs)
-
-		local t = string.sub(s, token_begin, ofs)
-		t = string.gsub(t, "^%s*", "")
-		t = string.gsub(t, "%s*$", "")
-		ret.n = ret.n + 1
-		ret[ret.n] = t
-	end
-
-	while ofs <= string.len(s) do
-
-		local sub = string.sub(s, ofs, -1)
-		local b,e = string.find(sub, "^"..pat)
-		if b then
-			add_token(ofs-1)
-			ofs = ofs+e
-			token_begin = ofs
-		else
-			local char = string.sub(s, ofs, ofs)
-			if char == "(" or char == "<" then
-
-				local block
-				if char == "(" then block = "^%b()" end
-				if char == "<" then block = "^%b<>" end
-
-				b,e = string.find(sub, block)
-				if not b then
-					-- unterminated block?
-					ofs = ofs+1
-				else
-					ofs = ofs + e
-				end
-
-			else
-				ofs = ofs+1
-			end
-		end
-
-	end
-	add_token(ofs)
-	--if ret.n == 0 then
-
-	--	ret.n=1
-	--	ret[1] = ""
-	--end
-
-	return ret
+    s = string.gsub(s, "^%s*", "")
+    s = string.gsub(s, "%s*$", "")
+
+    local token_begin = 1
+    local token_end = 1
+    local ofs = 1
+    local ret = {n=0}
+
+    function add_token(ofs)
+
+        local t = string.sub(s, token_begin, ofs)
+        t = string.gsub(t, "^%s*", "")
+        t = string.gsub(t, "%s*$", "")
+        ret.n = ret.n + 1
+        ret[ret.n] = t
+    end
+
+    while ofs <= string.len(s) do
+
+        local sub = string.sub(s, ofs, -1)
+        local b,e = string.find(sub, "^"..pat)
+        if b then
+            add_token(ofs-1)
+            ofs = ofs+e
+            token_begin = ofs
+        else
+            local char = string.sub(s, ofs, ofs)
+            if char == "(" or char == "<" then
+
+                local block
+                if char == "(" then block = "^%b()" end
+                if char == "<" then block = "^%b<>" end
+
+                b,e = string.find(sub, block)
+                if not b then
+                    -- unterminated block?
+                    ofs = ofs+1
+                else
+                    ofs = ofs + e
+                end
+
+            else
+                ofs = ofs+1
+            end
+        end
+
+    end
+    add_token(ofs)
+    --if ret.n == 0 then
+
+    --    ret.n=1
+    --    ret[1] = ""
+    --end
+
+    return ret
 
 end
@@ -238,73 +238,73 @@
 -- concatenate strings of a table
 function concat (t,f,l,jstr)
-	jstr = jstr or " "
- local s = ''
- local i=f
- while i<=l do
-  s = s..t[i]
-  i = i+1
-  if i <= l then s = s..jstr end
- end
- return s
+    jstr = jstr or " "
+    local s = ''
+    local i=f
+    while i<=l do
+        s = s..t[i]
+        i = i+1
+        if i <= l then s = s..jstr end
+    end
+    return s
 end
 
 -- concatenate all parameters, following output rules
 function concatparam (line, ...)
- local i=1
- while i<=arg.n do
-  if _cont and not strfind(_cont,'[%(,"]') and
-     strfind(arg[i],"^[%a_~]") then
-	    line = line .. ' '
-  end
-  line = line .. arg[i]
-  if arg[i] ~= '' then
-   _cont = strsub(arg[i],-1,-1)
-  end
-  i = i+1
- end
- if strfind(arg[arg.n],"[%/%)%;%{%}]$") then
-  _cont=nil line = line .. '\n'
- end
-	return line
+    local i=1
+    while i<=arg.n do
+        if _cont and not strfind(_cont,'[%(,"]') and
+            strfind(arg[i],"^[%a_~]") then
+            line = line .. ' '
+        end
+        line = line .. arg[i]
+        if arg[i] ~= '' then
+            _cont = strsub(arg[i],-1,-1)
+        end
+        i = i+1
+    end
+    if strfind(arg[arg.n],"[%/%)%;%{%}]$") then
+        _cont=nil line = line .. '\n'
+    end
+    return line
 end
 
 -- output line
 function output (...)
- local i=1
- while i<=arg.n do
-  if _cont and not strfind(_cont,'[%(,"]') and
-     strfind(arg[i],"^[%a_~]") then
-	    write(' ')
-  end
-  write(arg[i])
-  if arg[i] ~= '' then
-   _cont = strsub(arg[i],-1,-1)
-  end
-  i = i+1
- end
- if strfind(arg[arg.n],"[%/%)%;%{%}]$") then
-  _cont=nil write('\n')
- end
+    local i=1
+    while i<=arg.n do
+        if _cont and not strfind(_cont,'[%(,"]') and
+            strfind(arg[i],"^[%a_~]") then
+            write(' ')
+        end
+        write(arg[i])
+        if arg[i] ~= '' then
+            _cont = strsub(arg[i],-1,-1)
+        end
+        i = i+1
+    end
+    if strfind(arg[arg.n],"[%/%)%;%{%}]$") then
+        _cont=nil write('\n')
+    end
 end
 
 function get_property_methods(ptype, name)
 
-	if get_property_methods_hook and get_property_methods_hook(ptype,name) then
-		return get_property_methods_hook(ptype, name)
-	end
-
-	if ptype == "default" then -- get_name, set_name
-		return "get_"..name, "set_"..name
-	end
-
-	if ptype == "qt" then -- name, setName
-		return name, "set"..string.upper(string.sub(name, 1, 1))..string.sub(name, 2, -1)
-	end
-
-	if ptype == "overload" then -- name, name
-		return name,name
-	end
-
-	return nil
+    if get_property_methods_hook and get_property_methods_hook(ptype,name) then
+        return get_property_methods_hook(ptype, name)
+    end
+
+    if ptype == "default" then -- get_name, set_name
+        return "get_"..name, "set_"..name
+    end
+
+    if ptype == "qt" then -- name, setName
+        return name, "set"..string.upper(string.sub(name, 1, 1))..string.sub(name, 2, -1)
+    end
+
+    if ptype == "overload" then -- name, name
+        return name,name
+    end
+
+    return nil
 end
 
@@ -315,5 +315,5 @@
 -- takes the package object as the parameter
 function preprocess_hook(p)
-	-- p.code has all the input code from the pkg
+    -- p.code has all the input code from the pkg
 end
 
@@ -351,6 +351,6 @@
 function parser_hook(s)
 
-	return nil
-end
-
-
+    return nil
+end
+
+